%define upstream_name PHPUnit_Story
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear


Name: 		php-pear-%{upstream_name}
Version:     	1.0.2
Release:     	%mkrel 7
Summary:    	Utility class for invoking callables with a timeout
License:    	BSD License
Group:       	Networking/Mail
Url:         	http://pear.phpunit.de/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildArch:  	noarch
Requires:    	php-pear > 1.4.7
Requires:     	php-channel-phpunit
BuildRequires:	php-pear > 1.4.7
BuildRequires: 	php-channel-phpunit

%description
Story extension for PHPUnit to facilitate Behaviour-Driven Development

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/PHPUnit_Story.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/PHPUnit_Story.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.phpunit.de/PHPUnit_Story
fi

%files
%doc docs/PHPUnit_Story/*
%{peardir}/*
%{xmldir}/PHPUnit_Story.xml

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.0.2-7.mga8
+ Revision: 1499157
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.0.2-6.mga7
+ Revision: 1273777
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 1.0.2-5.mga6
+ Revision: 936707
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-4.mga5
+ Revision: 742613
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.2-3.mga5
+ Revision: 687418
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.2-2.mga4
+ Revision: 526372
- Mageia 4 Mass Rebuild

* Tue Jun 04 2013 spuhler <spuhler> 1.0.2-1.mga4
+ Revision: 436841
- upgrade to ver. 1.0.2

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-3.mga3
+ Revision: 377137
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 31 2011 spuhler <spuhler> 1.0.0-2.mga2
+ Revision: 189388
- changed BuildRequires: php-pear-channel-phpunit to BuildRequires:php-channel-phpunit

* Tue Nov 15 2011 spuhler <spuhler> 1.0.0-1.mga2
+ Revision: 167899
- imported package php-pear-PHPUnit_Story

